eclipse-cdt-docker-9.7.0-1.mga8.x86_64.rpm


Advertisement

Description

eclipse-cdt-docker - C/C++ Docker Launcher

Property Value
Distribution Mageia Cauldron
Repository Mageia Core x86_64
Package filename eclipse-cdt-docker-9.7.0-1.mga8.x86_64.rpm
Package name eclipse-cdt-docker
Package version 9.7.0
Package release 1.mga8
Package architecture x86_64
Package type rpm
Category Development/Java
Homepage http://www.eclipse.org/cdt
License EPL-2.0 and CPL
Maintainer -
Download size 202.37 KB
Installed size 245.20 KB
Special launcher for CDT to allow launching and debugging C/C++ applications
in Docker Containers.

Alternatives

Package Version Architecture Repository
eclipse-cdt-docker - - -

Requires

Name Value
eclipse-cdt == 2:9.7.0-1.mga8
eclipse-linuxtools-docker >= 5.3.0
java-headless >= 1:1.8
javapackages-filesystem -
osgi(com.google.gson) -
osgi(org.eclipse.cdt.core) == 6.7.0.201907191054
osgi(org.eclipse.cdt.debug.core) == 8.3.100.201907191054
osgi(org.eclipse.cdt.debug.ui) == 8.3.1.201907191054
osgi(org.eclipse.cdt.dsf.gdb) == 5.6.100.201907191054
osgi(org.eclipse.cdt.dsf.gdb.ui) == 2.6.100.201907191054
osgi(org.eclipse.cdt.launch) == 9.2.1.201907191054
osgi(org.eclipse.cdt.managedbuilder.core) == 8.6.100.201907191054
osgi(org.eclipse.cdt.managedbuilder.ui) == 9.1.100.201907191054
osgi(org.eclipse.cdt.ui) == 6.4.100.201907191054
osgi(org.eclipse.launchbar.ui) -
osgi(org.eclipse.linuxtools.docker.core) -
osgi(org.eclipse.linuxtools.docker.ui) -

Provides

Name Value
eclipse-cdt-docker == 2:9.7.0-1.mga8
eclipse-cdt-docker(x86-64) == 2:9.7.0-1.mga8
mvn(org.eclipse.cdt.features:org.eclipse.cdt.docker.launcher) == 9.7.0.SNAPSHOT
mvn(org.eclipse.cdt:org.eclipse.cdt.docker.launcher) == 1.2.101.SNAPSHOT
osgi(org.eclipse.cdt.docker.launcher) == 9.7.0.201907191054
osgi(org.eclipse.cdt.docker.launcher) == 1.2.101.201907191054

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package eclipse-cdt-docker-9.7.0-1.mga8.x86_64.rpm
Source Package eclipse-cdt-9.7.0-1.mga8.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install eclipse-cdt-docker rpm package:
    # urpmi eclipse-cdt-docker

Files

Path
/usr/share/eclipse/droplets/cdt-docker/fragment.info
/usr/share/eclipse/droplets/cdt-docker/features/
/usr/share/eclipse/droplets/cdt-docker/features/org.eclipse.cdt.docker.launcher_9.7.0.201907191054/epl-2.0.html
/usr/share/eclipse/droplets/cdt-docker/features/org.eclipse.cdt.docker.launcher_9.7.0.201907191054/feature.properties
/usr/share/eclipse/droplets/cdt-docker/features/org.eclipse.cdt.docker.launcher_9.7.0.201907191054/feature.xml
/usr/share/eclipse/droplets/cdt-docker/features/org.eclipse.cdt.docker.launcher_9.7.0.201907191054/license.html
/usr/share/eclipse/droplets/cdt-docker/features/org.eclipse.cdt.docker.launcher_9.7.0.201907191054/META-INF/MANIFEST.MF
/usr/share/eclipse/droplets/cdt-docker/plugins/com.google.gson_2.8.2.jar
/usr/share/eclipse/droplets/cdt-docker/plugins/org.eclipse.cdt.docker.launcher_1.2.101.201907191054.jar
/usr/share/licenses/eclipse-cdt-docker/epl-v20.html
/usr/share/maven-metadata/eclipse-cdt-docker.xml

Changelog

2019-07-19 - daviddavid <daviddavid> 2:9.7.0-1.mga8
+ Revision: 1422800
- Update to 2019-03 release
- Restrict to same architectures as Eclipse itself
2019-03-10 - pterjan <pterjan> 2:9.6.0-7.mga7
+ Revision: 1373776
- Disable bootstrap on armv7hl
2019-03-09 - pterjan <pterjan> 2:9.6.0-6.mga7
+ Revision: 1373286
- Fix bootstrap
2019-03-09 - pterjan <pterjan> 2:9.6.0-4.mga7
+ Revision: 1373192
- Bootstrap on armv7hl
2019-01-10 - daviddavid <daviddavid> 2:9.6.0-3.mga7
+ Revision: 1354090
- Patch to avoid requesting GTK2 as SWT backend
- Fix unexpected workspace directory change
- Ensure the native subpackage brings in the Eclipse Platform package
2019-01-07 - daviddavid <daviddavid> 2:9.6.0-2.mga7
+ Revision: 1351110
- Update to 2018-12 release
- Switch to EPL 2.0 license
- Update to tagged sources and add patch for QT test runners problem
- Fix some build issues
- Avoid unintentional dependency on Java 11
- Fix for no longer present x86 native bundles from platform
- non-bootstrap build
2018-12-23 - neoclust <neoclust> 2:9.5.3-1.mga7
+ Revision: 1344587
- New version
2018-11-26 - wally <wally> 1:9.1.0-3.mga7
+ Revision: 1335327
- rebuild with guava18
2018-09-23 - umeabot <umeabot> 1:9.1.0-2.mga7
+ Revision: 1297560
- Mageia 7 Mass Rebuild

See Also

Package Description
eclipse-cdt-llvm-9.7.0-1.mga8.x86_64.rpm Eclipse C/C++ Development Tools (CDT) LLVM
eclipse-cdt-native-9.7.0-1.mga8.x86_64.rpm Eclipse C/C++ Development Tools (CDT) Natives
eclipse-cdt-parsers-9.7.0-1.mga8.x86_64.rpm Eclipse C/C++ Development Tools (CDT) Optional Parsers
eclipse-cdt-qt-9.7.0-1.mga8.x86_64.rpm QT C++ Tools
eclipse-cdt-sdk-9.7.0-1.mga8.x86_64.rpm Eclipse C/C++ Development Tools (CDT) SDK plugin
eclipse-cdt-tests-9.7.0-1.mga8.x86_64.rpm Eclipse C/C++ Development Tools (CDT) Tests
eclipse-contributor-tools-4.11-2.mga8.x86_64.rpm Tools for Eclipse Contributors
eclipse-e4-importer-0.2.0-0.2.gitb33919c.2.mga7.noarch.rpm Eclipse Importer plug-in
eclipse-ecf-core-3.14.4-2.mga7.noarch.rpm Eclipse ECF Core
eclipse-ecf-runtime-3.14.4-2.mga7.noarch.rpm Eclipse Communication Framework (ECF) Eclipse plug-in
eclipse-ecf-sdk-3.14.4-2.mga7.noarch.rpm Eclipse ECF SDK
eclipse-egit-5.3.0-1.mga8.noarch.rpm Eclipse Git Integration
eclipse-egit-mylyn-5.3.0-1.mga8.noarch.rpm Git integration for mylyn
eclipse-emf-core-2.16.0-3.mga7.noarch.rpm Eclipse EMF Core Bundles
eclipse-emf-runtime-2.16.0-3.mga7.noarch.rpm Eclipse Modeling Framework (EMF) Eclipse plug-in
Advertisement
Advertisement